# IRremoteESP8266: src/ir_Panasonic.cpp File Reference

ir_Panasonic.cpp File Reference

Support for Panasonic protocols. Panasonic protocol originally added by Kristian Lauszus (Thanks to zenwheel and other people at the original blog post) More...

## Variables

const uint16_t | kPanasonicHdrMark = 3456
| uSeconds. More...
const uint16_t | kPanasonicHdrSpace = 1728
| uSeconds. More...
const uint16_t | kPanasonicBitMark = 432
| uSeconds. More...
const uint16_t | kPanasonicOneSpace = 1296
| uSeconds. More...
const uint16_t | kPanasonicZeroSpace = 432
| uSeconds. More...
const uint32_t | kPanasonicMinCommandLength = 163296
| uSeconds. More...
const uint16_t | kPanasonicEndGap = 5000
| uSeconds. See #245 More...
const uint32_t | kPanasonicMinGap = 74736
| uSeconds. More...
const uint16_t | kPanasonicAcSectionGap = 10000
| uSeconds. More...
const uint16_t | kPanasonicAcSection1Length = 8
const uint32_t | kPanasonicAcMessageGap = kDefaultMessageGap
const uint16_t | kPanasonicAc32HdrMark = 3543
| uSeconds. More...
const uint16_t | kPanasonicAc32BitMark = 920
| uSeconds. More...
const uint16_t | kPanasonicAc32HdrSpace = 3450
| uSeconds. More...
const uint16_t | kPanasonicAc32OneSpace = 2575
| uSeconds. More...
const uint16_t | kPanasonicAc32ZeroSpace = 828
| uSeconds. More...
const uint16_t | kPanasonicAc32SectionGap = 13946
| uSeconds. More...
const uint8_t | kPanasonicAc32Sections = 2
const uint8_t | kPanasonicAc32BlocksPerSection = 2

## Detailed Description

Support for Panasonic protocols. Panasonic protocol originally added by Kristian Lauszus (Thanks to zenwheel and other people at the original blog post)

See also
  Panasonic https://github.com/z3t0/Arduino-IRremote
  http://www.remotecentral.com/cgi-bin/mboard/rc-pronto/thread.cgi?2615
  Panasonic A/C support heavily influenced by https://github.com/ToniA/ESPEasy/blob/HeatpumpIR/lib/HeatpumpIR/PanasonicHeatpumpIR.cpp Panasonic A/C Clock & Timer support: Reverse Engineering by MikkelTb Code by crankyoldgit

## Variable Documentation

## kPanasonicAc32BitMark

const uint16_t kPanasonicAc32BitMark = 920

uSeconds.

## kPanasonicAc32BlocksPerSection

const uint8_t kPanasonicAc32BlocksPerSection = 2

## kPanasonicAc32HdrMark

const uint16_t kPanasonicAc32HdrMark = 3543

uSeconds.

## kPanasonicAc32HdrSpace

const uint16_t kPanasonicAc32HdrSpace = 3450

uSeconds.

## kPanasonicAc32OneSpace

const uint16_t kPanasonicAc32OneSpace = 2575

uSeconds.

## kPanasonicAc32SectionGap

const uint16_t kPanasonicAc32SectionGap = 13946

uSeconds.

## kPanasonicAc32Sections

const uint8_t kPanasonicAc32Sections = 2

## kPanasonicAc32ZeroSpace

const uint16_t kPanasonicAc32ZeroSpace = 828

uSeconds.

## kPanasonicAcMessageGap

const uint32_t kPanasonicAcMessageGap = kDefaultMessageGap

## kPanasonicAcSection1Length

const uint16_t kPanasonicAcSection1Length = 8

## kPanasonicAcSectionGap

const uint16_t kPanasonicAcSectionGap = 10000

uSeconds.

## kPanasonicBitMark

const uint16_t kPanasonicBitMark = 432

uSeconds.

## kPanasonicEndGap

const uint16_t kPanasonicEndGap = 5000

uSeconds. See #245

## kPanasonicHdrMark

const uint16_t kPanasonicHdrMark = 3456

uSeconds.

See also
  http://www.remotecentral.com/cgi-bin/mboard/rc-pronto/thread.cgi?26152

## kPanasonicHdrSpace

const uint16_t kPanasonicHdrSpace = 1728

uSeconds.

## kPanasonicMinCommandLength

const uint32_t kPanasonicMinCommandLength = 163296

uSeconds.

## kPanasonicMinGap

const uint32_t kPanasonicMinGap = 74736

uSeconds.

## kPanasonicOneSpace

const uint16_t kPanasonicOneSpace = 1296

uSeconds.

## kPanasonicZeroSpace

const uint16_t kPanasonicZeroSpace = 432

uSeconds.